<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.vehicle.mapper.VehiclePlatCataMapper">



    <insert id="addPlatCataList" parameterType="java.util.List">
        insert into vehicle_plat_cata (
        parent_id,name,icon,depict,rank,level,state,crt_time,upd_time,isMore,start_using
        ) VALUES
        <foreach collection ="vpclist" item="vpc" index="index" separator =",">
        <if test="vpc.state == 0" >
            (#{vpc.parentId},#{vpc.name},#{vpc.icon},#{vpc.depict}
            ,#{vpc.rank},#{vpc.level},#{vpc.state},#{vpc.crtTime}
            ,#{vpc.updTime},#{vpc.isMore},#{vpc.startUsing})
        </if>
        </foreach>
    </insert>

</mapper>